[Processing] Add lwgeom provider to core Processing
Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 24017

Description

"Lwgeom" allows users to run the "Make valid" tool that can clean invalid geometries in shapefiles. Unfortunately invalid geometries are

fairly common in many public datasets. Most QGIS geoprocessing tools throw an error when processing shapefiles with invalid

geometries. However, there are no native tools in QGIS Processing for dealing with them. Make valid" from lwgeom is very very fast and

would be a really good addition to QGIS Processing .

Link

https://github.com/faunalia/processinglwgeomprovider

History

#1 - 2017-01-24 01:57 AM - Paolo Cavallini

Agreed, it would be an useful addition.

#2 - 2017-02-02 05:07 AM - Alexander Bruy

ST_MakeValid was added into QGIS API as well as Processing tool. I think we can close this

#3 - 2017-02-03 04:06 AM - Filipe Dias

- Resolution set to fixed/implemented

- Status changed from Open to Closed
